///////////////////////////////////////////////////////////////////////////////
//                                                                           //
// Copyright (C) 2006 by Intel Coproration and Carnegie Mellon University    //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////

#ifndef __SPRINKLE_H
#define __SPRINKLE_H

#include "CodeModule.hxx"
#include "CatomWorld.hxx"

CODE_MODULE_PROTOTYPE( Sprinkle, Sprinkle );
using namespace std;

extern CatomWorld *worldPtr;

class Sprinkle : public CodeModule {
public:
	Sprinkle(catomID _hostCatom) :
		CodeModule(_hostCatom) {}
        virtual void oracle();
};

#endif
